/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <memory>

#include "aidge/graph/Node.hpp"
#include "aidge/graph/GraphView.hpp"
#include "aidge/utils/Recipies.hpp"

namespace Aidge {
    void removeFlatten(std::set<std::shared_ptr<Node>> nodes) {
        auto g = std::make_shared<GraphView>();
        g->add(std::set<std::shared_ptr<Node>>({nodes}));
        g->replaceWith({});
    }
}